PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::GeometryObjectLeaf< dim >::DraftGradientMaterial Struct Reference

`#include <plask/geometry/leaf.hpp>`

Inheritance diagram for plask::GeometryObjectLeaf< dim >::DraftGradientMaterial:
[legend]
Collaboration diagram for plask::GeometryObjectLeaf< dim >::DraftGradientMaterial:
[legend]

## Public Member Functions
| DraftGradientMaterial (shared_ptr< MaterialsDB::MixedCompositionFactory > materialFactory)
shared_ptr< Material > | getMaterial (const GeometryObjectLeaf< dim > &thisObj, const DVec &p) const override
bool | isUniform (Primitive< 3 >::Direction direction) const override
Public Member Functions inherited from plask::GeometryObjectLeaf< dim >::GradientMaterial
| GradientMaterial (shared_ptr< MaterialsDB::MixedCompositionFactory > materialFactory)
shared_ptr< Material > | getMaterial (const GeometryObjectLeaf< dim > &thisObj, const DVec &p) const override
shared_ptr< Material > | singleMaterial () const override
| Get material only if it this provider represents solid material (if getMaterial returns value independent from arguments).
GradientMaterial * | clone () const override
shared_ptr< Material > | getRepresentativeMaterial () const override
| Get representative material of this provider (typically material which is returned in center of object).
bool | isUniform (Primitive< 3 >::Direction direction) const override
XMLWriter::Element & | writeXML (XMLWriter::Element &dest_xml_object, const AxisNames &axes) const override
Public Member Functions inherited from plask::GeometryObjectLeaf< dim >::MaterialProvider
virtual | ~MaterialProvider ()

## Additional Inherited Members
Public Attributes inherited from plask::GeometryObjectLeaf< dim >::GradientMaterial
shared_ptr< MaterialsDB::MixedCompositionFactory > | materialFactory

## Detailed Description

template<int dim>
struct plask::GeometryObjectLeaf< dim >::DraftGradientMaterial

Definition at line 115 of file leaf.hpp.

## Constructor & Destructor Documentation

## ◆ DraftGradientMaterial()

template<int dim>

plask::GeometryObjectLeaf< dim >::DraftGradientMaterial::DraftGradientMaterial | ( | shared_ptr< MaterialsDB::MixedCompositionFactory > | materialFactory | ) |
| inline

Definition at line 117 of file leaf.hpp.

## Member Function Documentation

## ◆ getMaterial()

template<int dim>

shared_ptr< Material > plask::GeometryObjectLeaf< dim >::DraftGradientMaterial::getMaterial | ( | const GeometryObjectLeaf< dim > & | thisObj,
|  | const DVec & | p
| ) |  | const
| inline override virtual

Implements plask::GeometryObjectLeaf< dim >::MaterialProvider.

Definition at line 120 of file leaf.hpp.

## ◆ isUniform()

template<int dim>

bool plask::GeometryObjectLeaf< dim >::DraftGradientMaterial::isUniform | ( | Primitive< 3 >::Direction | direction | ) | const
| inline override virtual

Implements plask::GeometryObjectLeaf< dim >::MaterialProvider.

Definition at line 124 of file leaf.hpp.

The documentation for this struct was generated from the following file:

- plask/geometry/leaf.hpp